%global plugin_name mercurial

Summary:    This plugin integrates the Mercurial version control system with Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.56
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Mercurial+Plugin
# AltURL:   https://github.com/jenkinsci/mercurial-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.568

%description
This plugin integrates the Mercurial version control system with Jenkins.

With this plugin, you can designate a Mercurial repository as the 
"upstream" repository. Every build will then run something like 
hg pull -u to bring the tip of this upstream repository. 
In a similar manner, polling will check if the upstream repository 
contains any new changes, and use that as the triggering condition 
of the new build.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Oct 14 2016 Troy Dawson <tdawson@redhat.com> - 1.56-1
- Update to 1.56

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.54-1
- Initial package
